LINUX.ORG.RU

после удаления дров нвидии, перестали запускаться 3д приложения в нуво

 ,


0

1

при запуске Quake вылазит такое

Received signal 11, exiting...
при запуске Unreal вылазит такое
Signal: SIGIOT [iot trap]

как починить?

ps debian 9, удалил проприетарные, автоматом вернулись нуво, дополнительно сдедал xorg.conf через X-configure и кинул его в /etc/X11

pss шестеренки не пашут

deepforest@debian:~/nquake$ glxgears
Error: couldn't get an RGB, Double-buffered visual
deepforest@debian:~/nquake$ 

Раньше после уданения проприетарных дров нвидии, автоматом устанавливались нуво и все прекрасно работало, теперь все поломалось

root@debian:/home/deepforest/nquake# sudo apt-get install libgl1-mesa-dev
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-dev : Зависит: mesa-common-dev (= 13.0.6-1+b2) но он не будет установлен
                   Зависит: libgl1-mesa-glx (= 13.0.6-1+b2) но 18.2.8-2~bpo9+1 будет установлен
                   Зависит: libdrm-dev (>= 2.4.69) но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
root@debian:/home/deepforest/nquake# 

root@debian:/home/deepforest/nquake# apt-get install libgl1-mesa-glx
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет libgl1-mesa-glx самой новой версии (18.2.8-2~bpo9+1).
libgl1-mesa-glx установлен вручную.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлено.
root@debian:/home/deepforest/nquake# 


Когда-то частая проблема была, во многих дистрибутивах почему-то битые симлинки на libGL и прочее оказывались. Тем более если в обход пакетного менеджера, так вообще не удивительно. А какой может быть повод использовать nouveau вместо полноценного драйвера?

linuxnewbie ()
Ответ на: комментарий от deepforest

Звучит как требование. Такие клиенты должны обслуживаться исключительно за деньги. За упёрнутость и вредность.

Теперь из тебя три страницы нужно будет тянуть выхлоп glxinfo и конфиг иксов, который сгенерировал X-configure? (кстати, я бы удалил этот конфиг вообще) И потом ещё на пару сотен коментариев разбираться в alternatives? А ты всех посылать будешь, упираться и харкать в лицо? Увлекательное занятие...

ChekPuk ()

Сделал purge, теперь при установке такое

root@debian:/home/deepforest/ut# apt-get install libgl1-mesa-glx:i386 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-glx:i386 : Зависит: libglapi-mesa:i386 (= 13.0.6-1+b2) но 18.2.8-2~bpo9+1 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
root@debian:/home/deepforest/ut# 

deepforest ★★★ ()
Ответ на: комментарий от anonymous

кажетцо опять грахнулась система)

Необходимо скачать 186 kБ архивов.
После данной операции, объём занятого дискового пространства уменьшится на 1.732 MB.
Хотите продолжить? [Д/н] y
Пол:1 http://deb.debian.org/debian stretch/main amd64 gcj-6-jre-headless amd64 6.3.0-18+deb9u1 [61,0 kB]
Пол:2 http://deb.debian.org/debian stretch/main amd64 libgcj17-awt amd64 6.3.0-18+deb9u1 [62,0 kB]
Пол:3 http://deb.debian.org/debian stretch/main amd64 gcj-6-jre amd64 6.3.0-18+deb9u1 [1.224 B]
Пол:4 http://deb.debian.org/debian stretch/main amd64 gcj-jre-headless amd64 4:6.3.0-4 [1.604 B]
Пол:5 http://deb.debian.org/debian stretch/main amd64 gcj-jre amd64 4:6.3.0-4 [1.064 B]
Пол:6 http://deb.debian.org/debian stretch/main i386 libglapi-mesa i386 13.0.6-1+b2 [59,2 kB]
Получено 186 kБ за 0с (697 kБ/c)             
(Чтение базы данных … на данный момент установлено 296826 файлов и каталогов.)
Удаляется atril (1.16.1-2+deb9u1) …
Удаляется audacious (3.7.2-1+b1) …
Удаляется audacious-plugins:amd64 (3.7.2-2.1) …
Удаляется brasero (3.12.1-4) …
Удаляется mate-desktop-environment (1.16.0+1) …
Удаляется mate-desktop-environment-core (1.16.0+1) …
Удаляется caja (1.16.6-1+deb9u1) …
Удаляется gnome (1:3.22+3) …
Удаляется gnome-core (1:3.22+3) …
Удаляется caribou (0.4.21-1+b1) …
Удаляется cheese (3.22.1-1+b1) …
Удаляется chrome-gnome-shell (8-4) …
Удаляется lxqt:amd64 (13) …
Удаляется lxqt-core (13) …
Удаляется gdm3 (3.22.3-3+deb9u2) …
Удаляется compiz (1:0.9.13.0+16.10.20160818.2-5.1) …
Удаляется compiz-gnome (1:0.9.13.0+16.10.20160818.2-5.1) …
Удаляется compiz-plugins-default (1:0.9.13.0+16.10.20160818.2-5.1) …
Удаляется compton (0.1~beta2+20150922-1) …
Удаляется default-java-plugin (2:1.8-58) …
Удаляется libreoffice-sdbc-hsqldb (1:5.2.7-1+deb9u5) …
Удаляется libreoffice-script-provider-js (1:5.2.7-1+deb9u5) …
Удаляется libreoffice-script-provider-bsh (1:5.2.7-1+deb9u5) …
Удаляется libreoffice-report-builder (1:5.2.7-1+deb9u5) …
Удаляется default-jre (2:1.8-58) …
Удаляется eom (1.16.1-1) …
Удаляется evolution-plugins (3.22.6-1+deb9u1) …
Удаляется evolution (3.22.6-1+deb9u1) …
Удаляется ffmpeg (7:3.2.12-1~deb9u1) …
Удаляется freeorion (0.4.8-1~bpo9+2) …
Удаляется gnome-maps (3.22.2-1) …
Удаляется gir1.2-gtkchamplain-0.12:amd64 (0.12.15-1) …
Удаляется gir1.2-champlain-0.12:amd64 (0.12.15-1) …
Удаляется gnome-sushi (3.21.91-2) …
Удаляется gnome-shell-extensions (3.22.2-1) …
Удаляется gir1.2-clutter-gst-3.0:amd64 (3.0.24-1) …
Удаляется gnome-documents (3.22.1-1) …
Удаляется gir1.2-gepub-0.4:amd64 (0.4-1) …
Удаляется gir1.2-gtkclutter-1.0:amd64 (1.8.2-2) …
Удаляется gir1.2-lokdocview-0.1 (1:5.2.7-1+deb9u5) …

deepforest ★★★ ()